Browse a connected provider's content (folders/files)
GET
/api/v1/providers/{type}/content
const url = 'https://api.yggy.tech/api/v1/providers/jira/content';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/providers/jira/content \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” type
required
string
Query Parameters
Section titled “Query Parameters ” folderId
string
q
string
pageToken
string
pageSize
integer | null
Responses
Section titled “ Responses ”Items in the requested folder
Media type application/json
object
items
required
Array<object>
object
id
required
string
name
required
string
mimeType
required
string
kind
required
string
sizeBytes
number
modifiedAt
string
iconUrl
string
group
string
nextPageToken
string
Example
{ "items": [ { "kind": "folder" } ]}No active organization
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not authenticated
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Provider type has no content-browsing capability
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Provider content is unavailable for the connected account
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}The connected provider is rate limiting requests
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}The connected provider is temporarily unavailable
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}